package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 知识基本信息表
 * @TableName ks_knowledge_base_info
 */
@TableName(value ="ks_knowledge_base_info")
@Data
public class KnowledgeBaseInfo implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 内容ID
     */
    private String contextId;

    /**
     * 封面ID
     */
    private String coverId;

    /**
     * 来源
     */
    private String source;

    /**
     * 所属地域
     */
    private String territory;

    /**
     * 发布时间
     */
    private Date publishDate;

    /**
     * 时效性
     */
    private String timeliness;

    /**
     * 执行期限开始
     */
    private Date execTimeBegin;

    /**
     * 执行期限结束
     */
    private Date execTimeEnd;

    /**
     * 主题标签,直接输入内容,暂时用;分割
     */
    private String schemaTag;

    /**
     * 公开范围
     */
    private String publishScope;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}