package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 流程配置表
 * @TableName ks_system_flow
 */
@TableName(value ="ks_system_flow")
@Data
public class SystemFlow implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程名称
     */
    private String flowName;

    /**
     * 流程类型 1知识报送 2:知识撤回
     */
    private Integer flowType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}